import { Grid} from "@mui/material";
import React, { memo} from "react";



const CalendarTask = ({setCurrentTask, handleOpen, task}) => {


  const onClickTaskHandler = (e, task) => {
    e.stopPropagation(); 
    setCurrentTask(task); 
    handleOpen(e)
  }

  return (<> 
    <Grid  
          sx={{ position: 'relative', height: '30px', backgroundColor: 'lightgreen', whiteSpace: 'nowrap', overflow: 'hidden', textOverflow: 'ellipsis', borderRadius: '10px', margin: '5px 10px', display: 'flex', justifyContent: 'flex-start', alignItems: 'center', paddingLeft: '5px', zIndex: '5'}} 
          onClick={(e)=>{onClickTaskHandler(e, task)}}
      >
      <span>
        {task.title}
      </span>
    </Grid>
  </>)
};

export default memo(CalendarTask);